Skip to main content
POST
/
v1
/
images
/
generations
创建文生图任务
curl --request POST \
  --url https://www.anyfast.com.cn/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seedream-3-0-t2i-250415",
  "prompt": "生成3张女孩和奶牛玩偶在游乐园开心地坐过山车的图片",
  "size": "1024x1024",
  "watermark": false,
  "seed": 123,
  "logo_info": {
    "add_logo": true,
    "position": 123,
    "language": 123,
    "opacity": 123
  }
}
'
{
  "model": "doubao-seedream-3-0-t2i-250415",
  "created": 1775029815,
  "data": [
    {
      "url": "https://ark-content-generation-v2-cn-beijing.example.com/image.png",
      "size": "2048x2048"
    }
  ],
  "usage": {
    "generated_images": 1,
    "output_tokens": 16384,
    "total_tokens": 16384
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.anyfast.com.cn/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

模型 ID

Available options:
doubao-seedream-3-0-t2i-250415
Example:

"doubao-seedream-3-0-t2i-250415"

prompt
string
required

图片生成提示词。

Example:

"生成3张女孩和奶牛玩偶在游乐园开心地坐过山车的图片"

size
string

输出图片尺寸,支持的值因模型而异。

Example:

"1024x1024"

watermark
boolean
default:false

是否添加水印。

seed
integer

随机种子,用于复现结果。

logo_info
object

自定义 Logo 水印配置。

Response

图片生成成功

model
string

使用的模型。

Example:

"doubao-seedream-3-0-t2i-250415"

created
integer

创建时间戳(Unix 秒)。

Example:

1775029815

data
object[]

生成的图片列表。

usage
object

Token 用量。